{ pkgs, lib, config, ... }:

with lib;

let
  cfg = config.clerie.nixfiles.system-auto-sync-to-hydra;
in

{
  options = {
    clerie.nixfiles.system-auto-sync-to-hydra = {
      enable = mkEnableOption "clerie nixfiles tools";
      allowReboot = mkOption {
        type = types.bool;
        default = false;
        description = "Monitor NixOS";
      };
    };
  };
  config = mkIf cfg.enable {
    systemd.services.nixfiles-system-auto-sync-to-hydra = {
      serviceConfig = {
        Type = "oneshot";
        ExecStart = pkgs.nixfiles-system-sync-to-hydra + "/bin/nixfiles-system-sync-to-hydra${optionalString cfg.allowReboot " --allow-reboot"}";
      };
      startAt = "*-*-* 06:47:00";
    };
  };
}
